FWTextInternal::LineHeader Struct Reference

Internal: class to store the LineHeader. More...

## Public Member Functions

| LineHeader ()
| Constructor. More...
float | height () const
| try to find the line height using m_height or m_prevHeight More...

## Public Attributes

int | m_numChar
| the number of char More...
MWAWFont | m_font
| the font More...
bool | m_fontSet
| a flag to know if the font is set More...
float | m_height
| the line height in point ( if known) More...
float | m_prevHeight
| the previous line height in point ( if known) More...
Variable< double > | m_textIndent
| the text indent in inches ( if known) More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, LineHeader const &line)
| operator<< More...

## Detailed Description

Internal: class to store the LineHeader.

## Constructor & Destructor Documentation

FWTextInternal::LineHeader::LineHeader | ( |  | ) |

inline

Constructor.

## Member Function Documentation

float FWTextInternal::LineHeader::height | ( |  | ) | const

inline

try to find the line height using m_height or m_prevHeight

Referenced by FWText::sendTable().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | LineHeader const & | line
| ) |  |

friend

operator<<

## Member Data Documentation

std::string FWTextInternal::LineHeader::m_extra

extra data

Referenced by FWText::readLineHeader().

MWAWFont FWTextInternal::LineHeader::m_font

the font

Referenced by FWText::readLineHeader().

bool FWTextInternal::LineHeader::m_fontSet

a flag to know if the font is set

Referenced by FWText::readLineHeader().

float FWTextInternal::LineHeader::m_height

the line height in point ( if known)

Referenced by height(), and FWText::readLineHeader().

int FWTextInternal::LineHeader::m_numChar

the number of char

Referenced by FWText::readLineHeader(), and FWText::sendTable().

float FWTextInternal::LineHeader::m_prevHeight

the previous line height in point ( if known)

Referenced by height(), and FWText::send().

Variable<double> FWTextInternal::LineHeader::m_textIndent

the text indent in inches ( if known)

Referenced by FWText::readLineHeader().

The documentation for this struct was generated from the following file:

- FWText.cxx